// TTFFileViewerDlg.h : header file
//

#if !defined(AFX_TTFFILEVIEWERDLG_H__0AF0E623_7B52_4AF9_A06A_D739F8D3FEC1__INCLUDED_)
#define AFX_TTFFILEVIEWERDLG_H__0AF0E623_7B52_4AF9_A06A_D739F8D3FEC1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "HyperLink.h"

typedef struct _tagFONT_PROPERTIES{
	CString csName;
	CString csCopyright;
	CString csTrademark;
	CString csFamily;
}FONT_PROPERTIES, *LPFONT_PROPERTIES;


/////////////////////////////////////////////////////////////////////////////
// CTTFFileViewerDlg dialog

class CTTFFileViewerDlg : public CDialog
{
// Construction
public:
	CTTFFileViewerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CTTFFileViewerDlg)
	enum { IDD = IDD_TTFFILEVIEWER_DIALOG };
	CListBox	m_wndFontsList;
	CHyperLink	m_wndUrl;
	CString	m_csName;
	CString	m_csCopyright;
	CString	m_csTrademark;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTTFFileViewerDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	BOOL GetFontProperties(LPCTSTR lpszFilePath, LPFONT_PROPERTIES lpFontProps);
	HICON		m_hIcon;
	CString		m_csLocation;

	// Generated message map functions
	//{{AFX_MSG(CTTFFileViewerDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBopen();
	afx_msg void OnSelchangeLfonts();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TTFFILEVIEWERDLG_H__0AF0E623_7B52_4AF9_A06A_D739F8D3FEC1__INCLUDED_)
